Bug 903031

Summary: Alias length limit of 20 characters is too short, please raise it
Product: [Community] Bugzilla Reporter: Adam Williamson <awilliam>
Component: Bugzilla GeneralAssignee: Matt Tyson <mtyson>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 4.2CC: jingwang, mtyson, robatino
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: 4.4-3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-20 07:04:42 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Adam Williamson 2013-01-22 19:22:14 EST
This is a copy of upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=833611 - mtyson told me to submit it to our bugzilla too, as you may be happy to patch this downstream. It is a trivial change. A dumb code grep shows up Bugzilla/Bug.pm , Bugzilla/DB/Schema.pm , Bugzilla/Install/DB.pm , and template/en/default/bug/create/create.html.tmpl as files that look like they need to be touched, just s/20/new value/ in each case. The limit is present in both our 4.2 and 4.4 installs - I checked.

I work in Fedora QA. We use alias names to keep track of our blocker and freeze exception tracker bugs. We recently came up with a scheme for improving the alias names we use. Unfortunately, it results in aliases as long as 23 characters. The scheme is:

FXXAlphaBlocker
FXXAlphaFreezeException
FXXBetaBlocker
FXXBetaFreezeException
FXXFinalBlocker
FXXFinalFreezeException

where XX is the Fedora release number. The Alpha and Final freeze exception aliases are 23 characters (and will go to 24 when we reach Fedora 100 ;>).

So far as I can tell there is no technical reason for the 20 character limit, it is an entirely arbitrary call that was made in 2001:

https://bugzilla.mozilla.org/show_bug.cgi?id=99203#c2

Asa asked if aliases should be limited in length, Myk said they should and recommended 'something small' on the grounds that "Aliases are supposed to be easy to remember, so I can't imagine the right limit being much more than that." He suggested 20 characters, and without there really being any further explicit discussion, this number was incorporated into the proposed patches and eventually the final accepted one, and hence into BZ, where it has remained for the last 12 years.

I submit that our proposed aliases represent a perfectly reasonable use case and hence the 'right' limit is higher than 20 characters - at least 25 or 30. I really can't see any reason for this kind of arbitrary restriction, though - why not limit it to something really big, but below a level which could cause problems for the server? 200 characters or something?
Comment 1 Adam Williamson 2013-01-22 20:06:20 EST
I just remembered our ARM team have their own tracker bugs which follow the same name scheme but add ARM, so they might go up to 26:

FXXARMAlphaFreezeException

so we could do with a limit of at least 26.
Comment 2 Matt Tyson 2013-02-04 23:54:55 EST
I've updated the Red Hat Bugzilla code to use an alias length of 40 characters.
Comment 4 Adam Williamson 2013-02-05 00:02:12 EST
Thanks! How long will that take to make it to production?
Comment 5 Simon Green 2013-02-05 00:04:41 EST
(In reply to comment #4)
> Thanks! How long will that take to make it to production?

At this stage, Bugzilla 4.4-3 will be release on May 2nd (May 3rd in APAC)

  -- simon
Comment 6 wangjing 2013-05-07 02:17:06 EDT
Verified on qe test env version 4.4.rc2-3(20130426) --> Fail

Verify steps:
1.file a new fedora bug.
2.add an alias for this bug:'F1000AlphaFreezeException1111111111111112'.

then expected result: this alias is set unsuccessfully, the length of the string is out of the limit(40 charactors), the warning text should be 'Bug aliases cannot be longer than 40 characters. Please choose a shorter alias.'

Actual results:
Currently the warning text was:'Bug aliases cannot be longer than 20 characters. Please choose a shorter alias.'
Comment 9 wangjing 2013-05-14 22:46:00 EDT
Verified on qe test env version 4.4.rc2-3(20130513) --> pass

Verify steps:
1.file a new fedora bug.
2.add an alias for this bug :'F1000AlphaFreezeException'
then expected result: this alias is set successfully.

3.add another alias: 'F1000AlphaFreezeException111111111111111'.

then expected result: this alias is set successfully.

 4.add another alias: 'F1000AlphaFreezeException1111111111111112'.

then expected result: this alias is set unsuccessfully, the length of the string is out of the limit(40 charactors), the warning text should be 'Bug aliases cannot be longer than 40 characters. Please choose a shorter alias.'

Actual results:
same as expected results.